Package org.apache.tapestry5.util

# Class EnumSelectModel

java.lang.Object
org.apache.tapestry5.util.AbstractSelectModel
org.apache.tapestry5.util.EnumSelectModel

All Implemented Interfaces:
  `Serializable`, `SelectModel`

public final class EnumSelectModel extends AbstractSelectModel implements Serializable
A basic select model for a particular Enum type. The labels for each Enum are drawn from the Enum instance name and the provided message catalog:

- As key ClassName.name if present. The class name excludes the package portion. Ex: "ElementType.LOCAL_VARIABLE"
- As key name if present, i.e., "LOCAL_VARIABLE".
- As a user-presentable version of the name, i.e., "Local Variable".

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumSelectModel(Class<T> enumClass, Messages messages)`
  `EnumSelectModel(Class<T> enumClass, Messages messages, T[] values)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<OptionGroupModel>`
  `getOptionGroups()`
  Returns null.
  `List<OptionModel>`
  `getOptions()`
  Returns the option groups created in the constructor.

  ### Methods inherited from class org.apache.tapestry5.util.AbstractSelectModel

  `visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumSelectModel

    public EnumSelectModel(Class<T> enumClass, Messages messages)

  - ### EnumSelectModel

    public EnumSelectModel(Class<T> enumClass, Messages messages, T[] values)

- ## Method Details

  - ### getOptionGroups

    public List<OptionGroupModel> getOptionGroups()
    Returns null.
    Specified by:
      `getOptionGroups` in interface `SelectModel`
    Returns:
      the groups, or null

  - ### getOptions

    public List<OptionModel> getOptions()
    Returns the option groups created in the constructor.
    Specified by:
      `getOptions` in interface `SelectModel`
    Returns:
      the ungrouped options, or null